<div class="card">
    <div class="card-header"> 
        <h4 class="d-inline-block pt-1 mb-0">Sessions</h4> 
        <button class="btn btn-primary float-right" (click)="newSession()"> 
            <fa-icon [icon]="faPlus" size="md" class="mr-1"></fa-icon> New session
        </button>
    </div>
    <div class="card-body">
        <table class="table table-hover">
            <thead>
                <th>Times</th>
                <th>Created at</th>
                <th>Updated at</th>
                <th></th>
            </thead>
            <tbody *ngIf="(sessions | async) != null">
                <tr app-session-list-row *ngFor="let session of sessions | async" [session]="session"></tr>
                <tr>
                    <td colspan="3" class="text-center" *ngIf="(sessions | async).length === 0">No session to show here</td>
                </tr>
            </tbody>            
            <tbody *ngIf="(sessions | async) == null">
                <tr>
                    <td colspan="3" class="text-center"><fa-icon [icon]="faSpinner" size="3x" [spin]="true"></fa-icon></td>
                </tr>
            </tbody>
        </table>
    </div>
</div>